DEFINE FRAME f.
DEFINE VARIABLE t AS CHARACTER NO-UNDO INITIAL "Title" FORMAT "x(70)".
DEFINE VARIABLE h1 AS CHARACTER NO-UNDO INITIAL 
    "*******  ?           int         integer     long        int64       double      decimal ".
DEFINE VARIABLE h-unk AS CHARACTER NO-UNDO INITIAL "   ?   ".
DEFINE VARIABLE h-jnt AS CHARACTER NO-UNDO INITIAL "  int  ".
DEFINE VARIABLE h-int AS CHARACTER NO-UNDO INITIAL "integer".
DEFINE VARIABLE h-j64 AS CHARACTER NO-UNDO INITIAL "  long ".
DEFINE VARIABLE h-i64 AS CHARACTER NO-UNDO INITIAL " int64 ".
DEFINE VARIABLE h-dou AS CHARACTER NO-UNDO INITIAL " double".
DEFINE VARIABLE h-dec AS CHARACTER NO-UNDO INITIAL "decimal".

DEFINE VARIABLE d1 AS CHARACTER EXTENT 7 NO-UNDO FORMAT "x(11)" INITIAL "xxxxxxxxxxx".
DEFINE VARIABLE d2 AS CHARACTER EXTENT 7 NO-UNDO FORMAT "x(11)" INITIAL "xxxxxxxxxxx".
DEFINE VARIABLE d3 AS CHARACTER EXTENT 7 NO-UNDO FORMAT "x(11)" INITIAL "xxxxxxxxxxx".
DEFINE VARIABLE d4 AS CHARACTER EXTENT 7 NO-UNDO FORMAT "x(11)" INITIAL "xxxxxxxxxxx".
DEFINE VARIABLE d5 AS CHARACTER EXTENT 7 NO-UNDO FORMAT "x(11)" INITIAL "xxxxxxxxxxx".
DEFINE VARIABLE d6 AS CHARACTER EXTENT 7 NO-UNDO FORMAT "x(11)" INITIAL "xxxxxxxxxxx".
DEFINE VARIABLE d7 AS CHARACTER EXTENT 7 NO-UNDO FORMAT "x(11)" INITIAL "xxxxxxxxxxx".

FORM t SKIP
    h1 FORMAT "x(90)" SKIP
    h-unk d1 SKIP
    h-jnt d2 SKIP
    h-int d3 SKIP
    h-j64 d4 SKIP
    h-i64 d5 SKIP
    h-dou d6 SKIP
    h-dec d7 SKIP
    WITH FRAME f NO-LABELS.

DISPLAY t h1 h-unk h-int h-i64 h-dec h-jnt h-j64 h-dou d1 d2 d3 d4 d5 d6 d7 WITH FRAME f.

FUNCTION display-values RETURNS INTEGER (INPUT tt AS CHARACTER):
    t = tt.
    DISPLAY t h1 h-unk h-int h-i64 h-dec h-jnt h-j64 h-dou d1 d2 d3 d4 d5 d6 d7 WITH FRAME f.
END FUNCTION.

DEFINE VAR L1 AS INT64 INIT  9223372036854775806 FORMAT "->>>>>>>>>>>>>>>>>>>9" NO-UNDO.
DEFINE VAR L2 AS INT64 INIT -9223372036854775807 FORMAT "->>>>>>>>>>>>>>>>>>>9" NO-UNDO.
DEFINE VAR L3 AS INT64 INIT 65534 FORMAT "->>>>>9" NO-UNDO.

DEFINE VAR unk AS INT NO-UNDO.

DEFINE VAR i1 AS INT INIT  2147483646 FORMAT "->>>>>>>>>>9" NO-UNDO.
DEFINE VAR i2 AS INT INIT -2147483647 FORMAT "->>>>>>>>>>9" NO-UNDO.
DEFINE VAR i3 AS INT   INIT 65534 FORMAT "->>>>>9" NO-UNDO.

DEFINE VAR f1 AS DECIMAL INIT  3.14159265 FORMAT "->>>>>9.999" NO-UNDO.
DEFINE VAR f2 AS DECIMAL INIT  214748364600.1 NO-UNDO. /* overflows int32 */
DEFINE VAR f3 AS DECIMAL INIT -9.78033 FORMAT "->>>>>9.999" NO-UNDO.

L1 =  10.  L2 = -10.  L3 =  0.
i1 =  3.   i2 = -3.   i3 =  0.
f1 =  5.0. f2 = -5.0. f3 = 0.0.
unk = ?.

/* Test 1 ------------------------------------------------ */

d1[1] = STRING(unk + unk).
d1[2] = STRING(unk + 1).
d1[3] = STRING(unk + i1).
d1[4] = STRING(unk + 214748364699).
d1[5] = STRING(unk + L1).
d1[6] = STRING(unk + 1.4).
d1[7] = STRING(unk + f1).

d2[1] = STRING(2 + unk).
d2[2] = STRING(2 + 1).
d2[3] = STRING(2 + i1).
d2[4] = STRING(2 + 214748364699).
d2[5] = STRING(2 + L1).
d2[6] = STRING(2 + 1.4).
d2[7] = STRING(2 + f1).

d3[1] = STRING(i2 + unk).
d3[2] = STRING(i2 + 1).
d3[3] = STRING(i2 + i1).
d3[4] = STRING(i2 + 214748364699).
d3[5] = STRING(i2 + L1).
d3[6] = STRING(i2 + 1.4).
d3[7] = STRING(i2 + f1).

d4[1] = STRING(214748364701 + unk).
d4[2] = STRING(214748364701 + 1).
d4[3] = STRING(214748364701 + i1).
d4[4] = STRING(214748364701 + 214748364699).
d4[5] = STRING(214748364701 + L1).
d4[6] = STRING(214748364701 + 1.4).
d4[7] = STRING(214748364701 + f1).

d5[1] = STRING(L2 + unk).
d5[2] = STRING(L2 + 1).
d5[3] = STRING(L2 + i1).
d5[4] = STRING(L2 + 214748364699).
d5[5] = STRING(L2 + L1).
d5[6] = STRING(L2 + 1.4).
d5[7] = STRING(L2 + f1).

d6[1] = STRING(3.62 + unk).
d6[2] = STRING(3.62 + 1).
d6[3] = STRING(3.62 + i1).
d6[4] = STRING(3.62 + 214748364699).
d6[5] = STRING(3.62 + L1).
d6[6] = STRING(3.62 + 1.4).
d6[7] = STRING(3.62 + f1).

d7[1] = STRING(f1 + unk).
d7[2] = STRING(f1 + 1).
d7[3] = STRING(f1 + i1).
d7[4] = STRING(f1 + 214748364699).
d7[5] = STRING(f1 + L1).
d7[6] = STRING(f1 + 1.4).
d7[7] = STRING(f1 + f2).

display-values("binary +").

PAUSE MESSAGE "Press space for binary - table.". /* Test 2 ------------------------------------------------ */

d1[1] = STRING(unk - unk).
d1[2] = STRING(unk - 1).
d1[3] = STRING(unk - i1).
d1[4] = STRING(unk - 214748364699).
d1[5] = STRING(unk - L1).
d1[6] = STRING(unk - 1.4).
d1[7] = STRING(unk - f1).

d2[1] = STRING(2 - unk).
d2[2] = STRING(2 - 1).
d2[3] = STRING(2 - i1).
d2[4] = STRING(2 - 214748364699).
d2[5] = STRING(2 - L1).
d2[6] = STRING(2 - 1.4).
d2[7] = STRING(2 - f1).

d3[1] = STRING(i2 - unk).
d3[2] = STRING(i2 - 1).
d3[3] = STRING(i2 - i1).
d3[4] = STRING(i2 - 214748364699).
d3[5] = STRING(i2 - L1).
d3[6] = STRING(i2 - 1.4).
d3[7] = STRING(i2 - f1).

d4[1] = STRING(214748364701 - unk).
d4[2] = STRING(214748364701 - 1).
d4[3] = STRING(214748364701 - i1).
d4[4] = STRING(214748364701 - 214748364699).
d4[5] = STRING(214748364701 - L1).
d4[6] = STRING(214748364701 - 1.4).
d4[7] = STRING(214748364701 - f1).

d5[1] = STRING(L2 - unk).
d5[2] = STRING(L2 - 1).
d5[3] = STRING(L2 - i1).
d5[4] = STRING(L2 - 214748364699).
d5[5] = STRING(L2 - L1).
d5[6] = STRING(L2 - 1.4).
d5[7] = STRING(L2 - f1).

d6[1] = STRING(3.62 - unk).
d6[2] = STRING(3.62 - 1).
d6[3] = STRING(3.62 - i1).
d6[4] = STRING(3.62 - 214748364699).
d6[5] = STRING(3.62 - L1).
d6[6] = STRING(3.62 - 1.4).
d6[7] = STRING(3.62 - f1).

d7[1] = STRING(f1 - unk).
d7[2] = STRING(f1 - 1).
d7[3] = STRING(f1 - i1).
d7[4] = STRING(f1 - 214748364699).
d7[5] = STRING(f1 - L1).
d7[6] = STRING(f1 - 1.4).
d7[7] = STRING(f1 - f2).

display-values("binary -").

PAUSE MESSAGE "Press space for binary * table.". /* Test 3 ------------------------------------------------ */

d1[1] = STRING(unk * unk).
d1[2] = STRING(unk * 1).
d1[3] = STRING(unk * i1).
d1[4] = STRING(unk * 214748364699).
d1[5] = STRING(unk * L1).
d1[6] = STRING(unk * 1.4).
d1[7] = STRING(unk * f1).

d2[1] = STRING(2 * unk).
d2[2] = STRING(2 * 1).
d2[3] = STRING(2 * i1).
d2[4] = STRING(2 * 214748364699).
d2[5] = STRING(2 * L1).
d2[6] = STRING(2 * 1.4).
d2[7] = STRING(2 * f1).

d3[1] = STRING(i2 * unk).
d3[2] = STRING(i2 * 1).
d3[3] = STRING(i2 * i1).
d3[4] = STRING(i2 * 214748364699).
d3[5] = STRING(i2 * L1).
d3[6] = STRING(i2 * 1.4).
d3[7] = STRING(i2 * f1).

d4[1] = STRING(214748364701 * unk).
d4[2] = STRING(214748364701 * 1).
d4[3] = STRING(214748364701 * i1).
d4[4] = STRING(214748364701 * 214748364699).
d4[5] = STRING(214748364701 * L1).
d4[6] = STRING(214748364701 * 1.4).
d4[7] = STRING(214748364701 * f1).

d5[1] = STRING(L2 * unk).
d5[2] = STRING(L2 * 1).
d5[3] = STRING(L2 * i1).
d5[4] = STRING(L2 * 214748364699).
d5[5] = STRING(L2 * L1).
d5[6] = STRING(L2 * 1.4).
d5[7] = STRING(L2 * f1).

d6[1] = STRING(3.62 * unk).
d6[2] = STRING(3.62 * 1).
d6[3] = STRING(3.62 * i1).
d6[4] = STRING(3.62 * 214748364699).
d6[5] = STRING(3.62 * L1).
d6[6] = STRING(3.62 * 1.4).
d6[7] = STRING(3.62 * f1).

d7[1] = STRING(f1 * unk).
d7[2] = STRING(f1 * 1).
d7[3] = STRING(f1 * i1).
d7[4] = STRING(f1 * 214748364699).
d7[5] = STRING(f1 * L1).
d7[6] = STRING(f1 * 1.4).
d7[7] = STRING(f1 * f2).

display-values("binary *").

PAUSE MESSAGE "Press space for binary / table.".  /* Test 4 ------------------------------------------------ */

d1[1] = STRING(unk / unk).
d1[2] = STRING(unk / 1).
d1[3] = STRING(unk / i1).
d1[4] = STRING(unk / 214748364699).
d1[5] = STRING(unk / L1).
d1[6] = STRING(unk / 1.4).
d1[7] = STRING(unk / f1).

d2[1] = STRING(2 / unk).
d2[2] = STRING(2 / 1).
d2[3] = STRING(2 / i1).
d2[4] = STRING(2 / 214748364699).
d2[5] = STRING(2 / L1).
d2[6] = STRING(2 / 1.4).
d2[7] = STRING(2 / f1).

d3[1] = STRING(i2 / unk).
d3[2] = STRING(i2 / 1).
d3[3] = STRING(i2 / i1).
d3[4] = STRING(i2 / 214748364699).
d3[5] = STRING(i2 / L1).
d3[6] = STRING(i2 / 1.4).
d3[7] = STRING(i2 / f1).

d4[1] = STRING(214748364701 / unk).
d4[2] = STRING(214748364701 / 1).
d4[3] = STRING(214748364701 / i1).
d4[4] = STRING(214748364701 / 214748364699).
d4[5] = STRING(214748364701 / L1).
d4[6] = STRING(214748364701 / 1.4).
d4[7] = STRING(214748364701 / f1).

d5[1] = STRING(L2 / unk).
d5[2] = STRING(L2 / 1).
d5[3] = STRING(L2 / i1).
d5[4] = STRING(L2 / 214748364699).
d5[5] = STRING(L2 / L1).
d5[6] = STRING(L2 / 1.4).
d5[7] = STRING(L2 / f1).

d6[1] = STRING(3.62 / unk).
d6[2] = STRING(3.62 / 1).
d6[3] = STRING(3.62 / i1).
d6[4] = STRING(3.62 / 214748364699).
d6[5] = STRING(3.62 / L1).
d6[6] = STRING(3.62 / 1.4).
d6[7] = STRING(3.62 / f1).

d7[1] = STRING(f1 / unk).
d7[2] = STRING(f1 / 1).
d7[3] = STRING(f1 / i1).
d7[4] = STRING(f1 / 214748364699).
d7[5] = STRING(f1 / L1).
d7[6] = STRING(f1 / 1.4).
d7[7] = STRING(f1 / f2).

display-values("binary / ").
 
PAUSE MESSAGE "Press space for binary MAXIMUM table.". /* Test 5 ------------------------------------------------ */

d1[1] = STRING(MAXIMUM(unk, unk)).
d1[2] = STRING(MAXIMUM(unk, 1)).
d1[3] = STRING(MAXIMUM(unk, i1)).
d1[4] = STRING(MAXIMUM(unk, 214748364699)).
d1[5] = STRING(MAXIMUM(unk, L1)).
d1[6] = STRING(MAXIMUM(unk, 1.4)).
d1[7] = STRING(MAXIMUM(unk, f1)).

d2[1] = STRING(MAXIMUM(2, unk)).
d2[2] = STRING(MAXIMUM(2, 1)).
d2[3] = STRING(MAXIMUM(2, i1)).
d2[4] = STRING(MAXIMUM(2, 214748364699)).
d2[5] = STRING(MAXIMUM(2, L1)).
d2[6] = STRING(MAXIMUM(2, 1.4)).
d2[7] = STRING(MAXIMUM(2, f1)).

d3[1] = STRING(MAXIMUM(i2, unk)).
d3[2] = STRING(MAXIMUM(i2, 1)).
d3[3] = STRING(MAXIMUM(i2, i1)).
d3[4] = STRING(MAXIMUM(i2, 214748364699)).
d3[5] = STRING(MAXIMUM(i2, L1)).
d3[6] = STRING(MAXIMUM(i2, 1.4)).
d3[7] = STRING(MAXIMUM(i2, f1)).

d4[1] = STRING(MAXIMUM(214748364701, unk)).
d4[2] = STRING(MAXIMUM(214748364701, 1)).
d4[3] = STRING(MAXIMUM(214748364701, i1)).
d4[4] = STRING(MAXIMUM(214748364701, 214748364699)).
d4[5] = STRING(MAXIMUM(214748364701, L1)).
d4[6] = STRING(MAXIMUM(214748364701, 1.4)).
d4[7] = STRING(MAXIMUM(214748364701, f1)).

d5[1] = STRING(MAXIMUM(L2, unk)).
d5[2] = STRING(MAXIMUM(L2, 1)).
d5[3] = STRING(MAXIMUM(L2, i1)).
d5[4] = STRING(MAXIMUM(L2, 214748364699)).
d5[5] = STRING(MAXIMUM(L2, L1)).
d5[6] = STRING(MAXIMUM(L2, 1.4)).
d5[7] = STRING(MAXIMUM(L2, f1)).

d6[1] = STRING(MAXIMUM(3.62, unk)).
d6[2] = STRING(MAXIMUM(3.62, 1)).
d6[3] = STRING(MAXIMUM(3.62, i1)).
d6[4] = STRING(MAXIMUM(3.62, 214748364699)).
d6[5] = STRING(MAXIMUM(3.62, L1)).
d6[6] = STRING(MAXIMUM(3.62, 1.4)).
d6[7] = STRING(MAXIMUM(3.62, f1)).

d7[1] = STRING(MAXIMUM(f1, unk)).
d7[2] = STRING(MAXIMUM(f1, 1)).
d7[3] = STRING(MAXIMUM(f1, i1)).
d7[4] = STRING(MAXIMUM(f1, 214748364699)).
d7[5] = STRING(MAXIMUM(f1, L1)).
d7[6] = STRING(MAXIMUM(f1, 1.4)).
d7[7] = STRING(MAXIMUM(f1, f2)).

display-values("binary MAXIMUM ").
PAUSE MESSAGE "Press space for binary MINIMUM table.". /* Test 6 ------------------------------------------------ */

d1[1] = STRING(MINIMUM(unk, unk)).
d1[2] = STRING(MINIMUM(unk, 1)).
d1[3] = STRING(MINIMUM(unk, i1)).
d1[4] = STRING(MINIMUM(unk, 214748364699)).
d1[5] = STRING(MINIMUM(unk, L1)).
d1[6] = STRING(MINIMUM(unk, 1.4)).
d1[7] = STRING(MINIMUM(unk, f1)).

d2[1] = STRING(MINIMUM(2, unk)).
d2[2] = STRING(MINIMUM(2, 1)).
d2[3] = STRING(MINIMUM(2, i1)).
d2[4] = STRING(MINIMUM(2, 214748364699)).
d2[5] = STRING(MINIMUM(2, L1)).
d2[6] = STRING(MINIMUM(2, 1.4)).
d2[7] = STRING(MINIMUM(2, f1)).

d3[1] = STRING(MINIMUM(i2, unk)).
d3[2] = STRING(MINIMUM(i2, 1)).
d3[3] = STRING(MINIMUM(i2, i1)).
d3[4] = STRING(MINIMUM(i2, 214748364699)).
d3[5] = STRING(MINIMUM(i2, L1)).
d3[6] = STRING(MINIMUM(i2, 1.4)).
d3[7] = STRING(MINIMUM(i2, f1)).

d4[1] = STRING(MINIMUM(214748364701, unk)).
d4[2] = STRING(MINIMUM(214748364701, 1)).
d4[3] = STRING(MINIMUM(214748364701, i1)).
d4[4] = STRING(MINIMUM(214748364701, 214748364699)).
d4[5] = STRING(MINIMUM(214748364701, L1)).
d4[6] = STRING(MINIMUM(214748364701, 1.4)).
d4[7] = STRING(MINIMUM(214748364701, f1)).

d5[1] = STRING(MINIMUM(L2, unk)).
d5[2] = STRING(MINIMUM(L2, 1)).
d5[3] = STRING(MINIMUM(L2, i1)).
d5[4] = STRING(MINIMUM(L2, 214748364699)).
d5[5] = STRING(MINIMUM(L2, L1)).
d5[6] = STRING(MINIMUM(L2, 1.4)).
d5[7] = STRING(MINIMUM(L2, f1)).

d6[1] = STRING(MINIMUM(3.62, unk)).
d6[2] = STRING(MINIMUM(3.62, 1)).
d6[3] = STRING(MINIMUM(3.62, i1)).
d6[4] = STRING(MINIMUM(3.62, 214748364699)).
d6[5] = STRING(MINIMUM(3.62, L1)).
d6[6] = STRING(MINIMUM(3.62, 1.4)).
d6[7] = STRING(MINIMUM(3.62, f1)).

d7[1] = STRING(MINIMUM(f1, unk)).
d7[2] = STRING(MINIMUM(f1, 1)).
d7[3] = STRING(MINIMUM(f1, i1)).
d7[4] = STRING(MINIMUM(f1, 214748364699)).
d7[5] = STRING(MINIMUM(f1, L1)).
d7[6] = STRING(MINIMUM(f1, 1.4)).
d7[7] = STRING(MINIMUM(f1, f2)).

display-values("binary MINIMUM ").

PAUSE MESSAGE "Press space for binary MODULO table.". /* Test 7 ------------------------------------------------ */

d1[1] = STRING(unk MODULO unk) NO-ERROR.
d1[2] = STRING(unk MODULO 1) NO-ERROR.
d1[3] = STRING(unk MODULO i1) NO-ERROR.
d1[4] = STRING(unk MODULO 214748364699) NO-ERROR.
d1[5] = STRING(unk MODULO L1) NO-ERROR.
d1[6] = STRING(unk MODULO 1.4) NO-ERROR.
d1[7] = STRING(unk MODULO f1) NO-ERROR.

d2[1] = STRING(2 MODULO unk) NO-ERROR.
d2[2] = STRING(2 MODULO 1) NO-ERROR.
d2[3] = STRING(2 MODULO i1) NO-ERROR.
d2[4] = STRING(2 MODULO 214748364699) NO-ERROR.
d2[5] = STRING(2 MODULO L1) NO-ERROR.
d2[6] = STRING(2 MODULO 1.4) NO-ERROR.
d2[7] = STRING(2 MODULO f1) NO-ERROR.

d3[1] = STRING(i2 MODULO unk) NO-ERROR.
d3[2] = STRING(i2 MODULO 1) NO-ERROR.
d3[3] = STRING(i2 MODULO i1) NO-ERROR.
d3[4] = STRING(i2 MODULO 214748364699) NO-ERROR.
d3[5] = STRING(i2 MODULO L1) NO-ERROR.
d3[6] = STRING(i2 MODULO 1.4) NO-ERROR.
d3[7] = STRING(i2 MODULO f1) NO-ERROR.

d4[1] = STRING(214748364701 MODULO unk) NO-ERROR.
d4[2] = STRING(214748364701 MODULO 1) NO-ERROR.
d4[3] = STRING(214748364701 MODULO i1) NO-ERROR.
d4[4] = STRING(214748364701 MODULO 214748364699) NO-ERROR.
d4[5] = STRING(214748364701 MODULO L1) NO-ERROR.
d4[6] = STRING(214748364701 MODULO 1.4) NO-ERROR.
d4[7] = STRING(214748364701 MODULO f1) NO-ERROR.

d5[1] = STRING(L2 MODULO unk) NO-ERROR.
d5[2] = STRING(L2 MODULO 1) NO-ERROR.
d5[3] = STRING(L2 MODULO i1) NO-ERROR.
d5[4] = STRING(L2 MODULO 214748364699) NO-ERROR.
d5[5] = STRING(L2 MODULO L1) NO-ERROR.
d5[6] = STRING(L2 MODULO 1.4) NO-ERROR.
d5[7] = STRING(L2 MODULO f1) NO-ERROR.

d6[1] = STRING(3.62 MODULO unk) NO-ERROR.
d6[2] = STRING(3.62 MODULO 1) NO-ERROR.
d6[3] = STRING(3.62 MODULO i1) NO-ERROR.
d6[4] = STRING(3.62 MODULO 214748364699) NO-ERROR.
d6[5] = STRING(3.62 MODULO L1) NO-ERROR.
d6[6] = STRING(3.62 MODULO 1.4) NO-ERROR.
d6[7] = STRING(3.62 MODULO f1) NO-ERROR.

d7[1] = STRING(f1 MODULO unk) NO-ERROR.
d7[2] = STRING(f1 MODULO 1) NO-ERROR.
d7[3] = STRING(f1 MODULO i1) NO-ERROR.
d7[4] = STRING(f1 MODULO 214748364699) NO-ERROR.
d7[5] = STRING(f1 MODULO L1) NO-ERROR.
d7[6] = STRING(f1 MODULO 1.4) NO-ERROR.
d7[7] = STRING(f1 MODULO f2) NO-ERROR.

display-values("binary MODULO ").

PAUSE MESSAGE "Press space for binary RANDOM table.". /* Test 8 ------------------------------------------------ */

d1[1] = STRING(RANDOM(unk, unk)) NO-ERROR.
d1[2] = STRING(RANDOM(unk, 1)) NO-ERROR.
d1[3] = STRING(RANDOM(unk, i1)) NO-ERROR.
d1[4] = STRING(RANDOM(unk, 214748364699)) NO-ERROR.
d1[5] = STRING(RANDOM(unk, L1)) NO-ERROR.
d1[6] = STRING(RANDOM(unk, 1.4)) NO-ERROR.
d1[7] = STRING(RANDOM(unk, f1)) NO-ERROR.

d2[1] = STRING(RANDOM(2, unk)) NO-ERROR.
d2[2] = STRING(RANDOM(2, 1)) NO-ERROR.
d2[3] = STRING(RANDOM(2, i1)) NO-ERROR.
d2[4] = STRING(RANDOM(2, 214748364699)) NO-ERROR.
d2[5] = STRING(RANDOM(2, L1)) NO-ERROR.
d2[6] = STRING(RANDOM(2, 1.4)) NO-ERROR.
d2[7] = STRING(RANDOM(2, f1)) NO-ERROR.

d3[1] = STRING(RANDOM(i2, unk)) NO-ERROR.
d3[2] = STRING(RANDOM(i2, 1)) NO-ERROR.
d3[3] = STRING(RANDOM(i2, i1)) NO-ERROR.
d3[4] = STRING(RANDOM(i2, 214748364699)) NO-ERROR.
d3[5] = STRING(RANDOM(i2, L1)) NO-ERROR.
d3[6] = STRING(RANDOM(i2, 1.4)) NO-ERROR.
d3[7] = STRING(RANDOM(i2, f1)) NO-ERROR.

d4[1] = STRING(RANDOM(214748364701, unk)) NO-ERROR.
d4[2] = STRING(RANDOM(214748364701, 1)) NO-ERROR.
d4[3] = STRING(RANDOM(214748364701, i1)) NO-ERROR.
d4[4] = STRING(RANDOM(214748364701, 214748364699)) NO-ERROR.
d4[5] = STRING(RANDOM(214748364701, L1)) NO-ERROR.
d4[6] = STRING(RANDOM(214748364701, 1.4)) NO-ERROR.
d4[7] = STRING(RANDOM(214748364701, f1)) NO-ERROR.

d5[1] = STRING(RANDOM(L2, unk)) NO-ERROR.
d5[2] = STRING(RANDOM(L2, 1)) NO-ERROR.
d5[3] = STRING(RANDOM(L2, i1)) NO-ERROR.
d5[4] = STRING(RANDOM(L2, 214748364699)) NO-ERROR.
d5[5] = STRING(RANDOM(L2, L1)) NO-ERROR.
d5[6] = STRING(RANDOM(L2, 1.4)) NO-ERROR.
d5[7] = STRING(RANDOM(L2, f1)) NO-ERROR.

d6[1] = STRING(RANDOM(3.62, unk)) NO-ERROR.
d6[2] = STRING(RANDOM(3.62, 1)) NO-ERROR.
d6[3] = STRING(RANDOM(3.62, i1)) NO-ERROR.
d6[4] = STRING(RANDOM(3.62, 214748364699)) NO-ERROR.
d6[5] = STRING(RANDOM(3.62, L1)) NO-ERROR.
d6[6] = STRING(RANDOM(3.62, 1.4)) NO-ERROR.
d6[7] = STRING(RANDOM(3.62, f1)) NO-ERROR.

d7[1] = STRING(RANDOM(f1, unk)) NO-ERROR.
d7[2] = STRING(RANDOM(f1, 1)) NO-ERROR.
d7[3] = STRING(RANDOM(f1, i1)) NO-ERROR.
d7[4] = STRING(RANDOM(f1, 214748364699)) NO-ERROR.
d7[5] = STRING(RANDOM(f1, L1)) NO-ERROR.
d7[6] = STRING(RANDOM(f1, 1.4)) NO-ERROR.
d7[7] = STRING(RANDOM(f1, f2)) NO-ERROR.

display-values("binary RANDOM ").

PAUSE MESSAGE "End of binary operators tables.". 

