/* 9 223 372 036 854 775 806 */
DISPLAY "int64 datatype tests" SKIP WITH SIDE-LABELS.

DEFINE VAR l1 AS INT64 INIT  9223372036854775806 FORMAT "->>>>>>>>>>>>>>>>>>>9".
DEFINE VAR l2 AS INT64 INIT -9223372036854775807 FORMAT "->>>>>>>>>>>>>>>>>>>9".

DEFINE VAR i1 AS int INIT  2147483646 FORMAT "->>>>>>>>>>9".
DEFINE VAR i2 AS int INIT -2147483647 FORMAT "->>>>>>>>>>9".

DEFINE VAR i3 AS INT64 INIT 65534 FORMAT "->>>>>9".

DEFINE VAR d1 AS DECIMAL INIT  3.14159265 FORMAT "->>>>>9.999".
DEFINE VAR d2 AS DECIMAL INIT  9.78033 FORMAT "->>>>>9.999".
DEFINE VAR d3 AS DECIMAL INIT -9.78033 FORMAT "->>>>>9.999".

DISPLAY "simple data:" /*-2147483649 -2147483648 2147483545 2147483548 
        2147483647 2147483648*/ l1 l2 i1 i2 d1 d2 d3 SKIP.

DISPLAY "abs/negate/random"
        ABS(l2) - abs(l1) FORMAT "->>>>>>>>>>>>>>>>>>>9"
        ABS(abs(-1)) - RANDOM(214748364900, l1) FORMAT "->>>>>>>>>>>>>>>>>>>9"
        RANDOM(10, l1) FORMAT "->>>>>>>>>>>>>>>>>>>9"
        RANDOM(i1, 214748364900) FORMAT "->>>>>>>>>>>>>>>>>>>9"
        RANDOM(10, ABS(-20000))
        SKIP.

DISPLAY "int sum1:"
        i1 +  2 FORMAT "->>>>>>>>>>>>>>>>>>>9"
        i2 +  2 FORMAT "->>>>>>>>>>>>>>>>>>>9"
        i3 + i1 FORMAT "->>>>>>>>>>>>>>>>>>>9"
        SKIP.

DISPLAY "int sum2:"
        i1 + 9223372036854775806 FORMAT "->>>>>>>>>>>>>>>>>>>9"
        i2 +  3.14  FORMAT "->>>>>>>>>>>>>>>>>>>9.999"
        i3 + -1 FORMAT "->>>>>>>>>>>>>>>>>>>9"
        SKIP.

DISPLAY "dec sums:"
        d1 + i1 FORMAT "->>>>>>>>>>>>>>>>>>>9.999"
        d1 + i2 FORMAT "->>>>>>>>>>>>>>>>>>>9.999"
        d2 + ABS(5) FORMAT "->>>>>>>>>>>>>>>>>>>9.999"
        SKIP.

